Package ru.bitel.bgbilling.modules.tv.common.bean

# Class TvAccountSpec.Builder

java.lang.Object
ru.bitel.bgbilling.modules.tv.common.bean.TvAccountSpec.Builder

Enclosing class:
  `TvAccountSpec`

public static class TvAccountSpec.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TvAccountSpec`
  `build()`
  `TvAccountSpec.Builder`
  `setConfig(String config)`
  `TvAccountSpec.Builder`
  `setDeviceGroupIds(Set<Integer> deviceGroupIds)`
  `TvAccountSpec.Builder`
  `setDeviceTypeIds(Set<Integer> deviceTypeIds)`
  `TvAccountSpec.Builder`
  `setEntitySpecId(int entitySpecId)`
  `TvAccountSpec.Builder`
  `setId(int value)`
  `TvAccountSpec.Builder`
  `setNeedDevice(boolean needDevice)`
  `TvAccountSpec.Builder`
  `setNeedIdentifier(boolean needIdentifier)`
  `TvAccountSpec.Builder`
  `setNeedLogin(boolean needLogin)`
  `TvAccountSpec.Builder`
  `setNeedMacAddress(boolean needMacAddress)`
  `TvAccountSpec.Builder`
  `setNeedPassword(boolean needPassword)`
  `TvAccountSpec.Builder`
  `setNeedPin(boolean needPin)`
  `TvAccountSpec.Builder`
  `setParentTypeIds(Set<Integer> childrenServTypeIds)`
  `TvAccountSpec.Builder`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public TvAccountSpec.Builder setId(int value)

  - ### setTitle

    public TvAccountSpec.Builder setTitle(String title)

  - ### setEntitySpecId

    public TvAccountSpec.Builder setEntitySpecId(int entitySpecId)

  - ### setDeviceTypeIds

    public TvAccountSpec.Builder setDeviceTypeIds(Set<Integer> deviceTypeIds)

  - ### setParentTypeIds

    public TvAccountSpec.Builder setParentTypeIds(Set<Integer> childrenServTypeIds)

  - ### setDeviceGroupIds

    public TvAccountSpec.Builder setDeviceGroupIds(Set<Integer> deviceGroupIds)

  - ### setNeedLogin

    public TvAccountSpec.Builder setNeedLogin(boolean needLogin)

  - ### setNeedPassword

    public TvAccountSpec.Builder setNeedPassword(boolean needPassword)

  - ### setNeedPin

    public TvAccountSpec.Builder setNeedPin(boolean needPin)

  - ### setNeedDevice

    public TvAccountSpec.Builder setNeedDevice(boolean needDevice)

  - ### setNeedIdentifier

    public TvAccountSpec.Builder setNeedIdentifier(boolean needIdentifier)

  - ### setNeedMacAddress

    public TvAccountSpec.Builder setNeedMacAddress(boolean needMacAddress)

  - ### setConfig

    public TvAccountSpec.Builder setConfig(String config)

  - ### build

    public TvAccountSpec build()